package com.xhkjedu.sapi.mapper.system;

import com.xhkjedu.sapi.base.TkMapper;
import com.xhkjedu.sapi.model.system.TSchoolFriend;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @Description
 * @Author WN
 * Date 2022/9/22 16:08
 **/
@Repository
public interface SchoolFriendMapper extends TkMapper<TSchoolFriend> {

    //获取关联学校id
    List<Integer> listFSchoolidsBySchoolid(@Param("schoolid")Integer schoolid);

    //删除学校附属学校
    void deleteBySchoolid(@Param("schoolid")Integer schoolid);

}
